Docs

Get Product Variants

GEThttps://your_server_address/products/{product_id}

Retrieves the product and stock information needed for an exchange

Headers

  • api_tokenstringrequired

    Authentication token

Path parameters

  • product_idstringrequired

    ID of the product

Responses

200 successfully.

  • product_idstringrequired

    Product ID

  • product_namestringrequired

    Product name

  • image_urlstring

    Link to the product image

  • created_atstring

    Created at

  • updated_atstring

    Updated at

  • variantsarray of objectsrequired
    Show child attributes8
    • variant_idstring

      Variant ID

    • skustringrequired

      SKU

    • image_urlstring

      Product image

    • namestringrequired

      Product name

    • quantity_in_stockinteger(int64)required

      Available stock

    • created_atstring

      Created at

    • updated_atstring

      Updated at

    • variant_optionsarray of objects

      Options set on the variant

      Show child attributes2
      • namestringrequired

        Option name

      • valuestringrequired

        Value set for the option

© Recustomer, Inc.